﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Tools.Controls;

namespace ComboboxSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
       
        public MainWindow()
        {
            InitializeComponent();
          
            this.DataContext = new Viewmodel();
        }

       

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string records=null;
            foreach (var item in data.SelectedItems)
            {
                records =records+item.ToString() + "\n";
            }
            MessageBox.Show("Selected Items \n\n\n"+records);
        }

        private void data_Loaded(object sender, RoutedEventArgs e)
        {
            data.SelectedItems = (this.DataContext as Viewmodel).Select;
        }
    }

    public class Viewmodel
    {
        private ObservableCollection<string> _colloections;

        public ObservableCollection<string> Collections
        {
            get { return _colloections; }
            set { _colloections = value; }
        }
        private ObservableCollection<string> _select;

        public ObservableCollection<string> Select
        {
            get { return _select; }
            set { _select = value; }
        }

        public Viewmodel()
        {
            Collections = new ObservableCollection<string>();
            
            Collections.Add("wpf");
            Collections.Add("silverlight");
            Collections.Add("Syncfusion");
            Collections.Add("Software");

            // Run time Items are selected 
            Select = new ObservableCollection<string>();
            Select.Add("wpf");
            Select.Add("silverlight");
            Select.Add("Syncfusion");
           
        }
    }
}
